# sigc::unwrap_lambda_type< T_type > Struct Template Reference

Deduces the type of the object stored in an object of the passed lambda type. More...

`#include <sigc++/adaptors/lambda/base.h>`

List of all members.

## Public Types

typedef unwrap_reference < T_type >::type | type

## Detailed Description

### template <class T_type>
struct sigc::unwrap_lambda_type< T_type >

Deduces the type of the object stored in an object of the passed lambda type.

If the type passed as template argument is no lambda type, type is defined to unwrap_reference<T_type>::type.